package com.ccwangluo.accelerator.ui.home

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.ccwangluo.accelerator.model.NetState
import com.ccwangluo.accelerator.model.UserProfile
import com.github.shadowsocks.bg.BaseService

class AccelertorViewModel : ViewModel() {

    //网络状态
    var netState = MutableLiveData<NetState>()

    //加速状态
    var accState = MutableLiveData<BaseService.State>()

    //用户状态
    var userProfile = MutableLiveData<UserProfile>()


}